Bug 184307 - CVE-2006-0746 kpdf buffer overflow
CVE-2006-0746 kpdf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
impact=important,public=20060103,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 17:25 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0262
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 15:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-07 17:25:18 EST
The initial fix for CVE-2005-3627 was incomplete in kdegraphics.

The complete patch is attachment 125771 [details]
The reproducer is attachment 125772 [details]

Here is Chris Evans' original advisory, it has links to various other bad pdf files:
http://scary.beasts.org/security/CESA-2005-003.txt
Comment 1 Ngo Than 2006-03-08 12:08:39 EST
it's now fixed in kdegraphics-3.3.1-3.9
Comment 4 Red Hat Bugzilla 2006-03-09 15:47:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0262.html

Note You need to log in before you can comment on or make changes to this bug.